//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLabelsPane:
//   Displays output of the labels command

#ifndef p4wLabelsPane_H
#define p4wLabelsPane_H

#include "p4wPane.h"


class StrDict;


class p4wLabelsPane : public p4wPane {

public:

				p4wLabelsPane(p4wView & ParentView, p4wRequest & Request);
	virtual			~p4wLabelsPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual	void		End();
	
private:

	// Filter form
	void	doForm();
	void	doFilterMessage(StrBuf *msg);

	// have we printed first line of data yet
	int	fSeenBegin;

	int fRowCtr;
	int fLabelCtr;

	// filter variables
	char	fLfl;	// bitflags: 1=owner is user, 2=AC_LABELSPATH
	StrBuf	fLnm;	// name contain this string
	StrBuf	fLow;	// filter by this owner
	StrBuf	fLdu;	// filter by updated date >= this date
	StrBuf	fLda;	// filter by accessed date >= this date
};

#endif // p4wLabelsPane_H
